> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fleet

> Get detailed information about a specific fleet.

<Info>Partners can only get fleets they have active share agreements with</Info>


## OpenAPI

````yaml https://api.catenatelematics.com/v2/orgs/openapi.json get /v2/orgs/fleets/{fleet_id}
openapi: 3.1.0
info:
  title: Telematics Organizations Service - REST API
  description: Organizations Service REST API
  version: 0.1.0
servers:
  - url: https://api.catenatelematics.com
    description: Catena Telematics API
security: []
tags:
  - name: Invitations
    description: >-
      Send invitations to onboard fleets. Create magic links, track invitation
      status, and manage the fleet onboarding workflow.
  - name: Share Agreements
    description: >-
      Manage data sharing agreements with fleets. Monitor agreement status,
      update terms, and control access to fleet telematics data.
  - name: Fleets
    description: >-
      View and manage fleet profiles. Access fleet information for fleets you've
      successfully onboarded through invitations.
  - name: Partners
    description: >-
      Manage your partner organization profile. Update company information,
      websites, and service categories visible to fleets.
  - name: TSPs
    description: >-
      Browse available Telematics Service Providers (TSPs). View supported
      integrations that fleets can connect to share their telematics data.
paths:
  /v2/orgs/fleets/{fleet_id}:
    get:
      tags:
        - Fleets
      summary: Get Fleet
      description: Get detailed information about a specific fleet.
      operationId: get_fleet
      parameters:
        - name: fleet_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Fleet Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FleetRead'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequest'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Forbidden'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
          description: Not Found
        '405':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MethodNotAllowed'
          description: Method Not Allowed
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Conflict'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntity'
          description: Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequests'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
          description: Internal Server Error
      security:
        - Bearer:
            - fleet:read
components:
  schemas:
    FleetRead:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: A description of the fleet
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        legal_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Legal Name
        dba_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Doing Business As (dba) Name
        websites:
          anyOf:
            - items:
                type: string
                maxLength: 2083
                minLength: 1
                format: uri
              type: array
            - type: 'null'
          title: Websites
          description: >-
            List of websites associated with the fleet. The website is used to
            map users to an organization based on their email domain and to
            authenticate them accordingly in the scope of the organization.
        invitation_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Invitation ID
          description: ID of the invitation that was used to onboard the fleet
        fleet_ref:
          type: string
          title: Fleet Reference
          description: >-
            An optional reference for the fleet. Used to store an external
            identifier for the fleet in your system.
        regulatory_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Regulatory ID
          description: >-
            Primary identifier from a regulatory body for a fleet (like DOT
            Number).
        regulatory_id_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Regulatory ID Type
          description: Type of the regulatory ID like DOT, EASA, etc.
        regulatory_id_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Regulatory ID Date
          description: Date when the regulatory ID was issued.
        regulatory_id_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Regulatory ID Status
          description: Status of the regulatory ID.
        registered_email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          title: Registered Email
          description: Email address that is registered for the fleet.
        registered_phone:
          anyOf:
            - type: string
              format: phone
            - type: 'null'
          title: Registered Phone
          description: Phone number that is registered for the fleet.
        registered_fax:
          anyOf:
            - type: string
              format: phone
            - type: 'null'
          title: Registered Fax
          description: Fax number that is registered for the fleet.
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Physical Address
          description: Physical address that is registered for the fleet.
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: City that is registered for the fleet.
        province:
          anyOf:
            - type: string
            - type: 'null'
          title: Province
          description: Province that is registered for the fleet.
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
          description: Postal code that is registered for the fleet.
        country_code:
          anyOf:
            - type: string
              pattern: ^\w{3}$
            - type: 'null'
          title: ISO-3 Country Code
          description: ISO-3 Country code that is registered for the fleet.
        id:
          type: string
          format: uuid
          title: Id
          description: Unique Catena fleet identifier
        created_at:
          type: string
          format: date-time
          title: Created At
          description: When the fleet was created
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Last modification timestamp
      type: object
      required:
        - name
        - fleet_ref
        - id
        - created_at
        - updated_at
      title: FleetRead
      description: >-
        API model for reading a fleet


        Contains all fleet information including system-generated fields.

        Partners can only read fleets they invited or have share agreements
        with.
      example:
        address: 1234 Industrial Pkwy
        city: San Francisco
        country_code: USA
        created_at: '2025-12-10T08:15:00Z'
        dba_name: Swift Logistics
        description: >-
          Regional freight carrier specializing in temperature-controlled
          transport
        display_name: Swift Transport
        fleet_ref: external-system-12345
        id: 98765432-10fe-dcba-9876-543210fedcba
        legal_name: Swift Transport LLC
        name: Swift Transport LLC
        postal_code: '94107'
        province: California
        registered_email: operations@swifttransport.com
        registered_fax: '+14155551235'
        registered_phone: '+14155551234'
        regulatory_id: '1234567'
        regulatory_id_date: '2020-03-15'
        regulatory_id_status: ACTIVE
        regulatory_id_type: DOT
        updated_at: '2025-12-11T14:30:00Z'
        websites:
          - https://swifttransport.com
          - https://swiftlogistics.com
    BadRequest:
      properties:
        code:
          type: integer
          title: Code
          default: 400
        message:
          type: string
          title: Message
          default: Bad Request
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: BadRequest
    Unauthorized:
      properties:
        code:
          type: integer
          title: Code
          default: 401
        message:
          type: string
          title: Message
          default: Unauthorized
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Unauthorized
    Forbidden:
      properties:
        code:
          type: integer
          title: Code
          default: 403
        message:
          type: string
          title: Message
          default: Forbidden
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Forbidden
    NotFound:
      properties:
        code:
          type: integer
          title: Code
          default: 404
        message:
          type: string
          title: Message
          default: Not Found
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: NotFound
    MethodNotAllowed:
      properties:
        code:
          type: integer
          title: Code
          default: 405
        message:
          type: string
          title: Message
          default: Method Not Allowed
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: MethodNotAllowed
    Conflict:
      properties:
        code:
          type: integer
          title: Code
          default: 409
        message:
          type: string
          title: Message
          default: Conflict
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Conflict
    UnprocessableEntity:
      properties:
        code:
          type: integer
          title: Code
          default: 422
        message:
          type: string
          title: Message
          default: Invalid Request Body
        detail:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationErrorDetail'
              type: array
            - type: 'null'
          title: Detail
      type: object
      title: UnprocessableEntity
    TooManyRequests:
      properties:
        code:
          type: integer
          title: Code
          default: 429
        message:
          type: string
          title: Message
          default: Too Many Requests
        detail:
          anyOf:
            - $ref: '#/components/schemas/RetryAfterDetail'
            - type: 'null'
      type: object
      title: TooManyRequests
    InternalServerError:
      properties:
        message:
          type: string
          title: Message
          default: Internal Server Error
      type: object
      title: InternalServerError
    ValidationErrorDetail:
      properties:
        path:
          type: string
          title: Path
        input:
          type: string
          title: Input
        message:
          type: string
          title: Message
        error_type:
          type: string
          title: Error Type
      type: object
      required:
        - path
        - input
        - message
        - error_type
      title: ValidationErrorDetail
    RetryAfterDetail:
      properties:
        retry_after_seconds:
          type: integer
          title: Retry After Seconds
        message:
          type: string
          title: Message
      type: object
      required:
        - retry_after_seconds
        - message
      title: RetryAfterDetail
  securitySchemes:
    Bearer:
      type: oauth2
      flows:
        clientCredentials:
          refreshUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
          scopes: {}
          tokenUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
        authorizationCode:
          refreshUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
          scopes: {}
          authorizationUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/auth
          tokenUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token

````